From 15abeb689d521762b3641f20ca78db17ff68513f Mon Sep 17 00:00:00 2001
From: Urja Rannikko <urjaman@gmail.com>
Date: Mon, 2 Mar 2015 05:42:58 +0100
Subject: [PATCH] flashchips: new flash chip Winbond W29C512A/W29EE512

Signed-off-by: Urja Rannikko <urjaman@gmail.com>
---
 flashchips.c | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/flashchips.c b/flashchips.c
index 8b5d1ec..ee34aa8 100644
--- a/flashchips.c
+++ b/flashchips.c
@@ -14122,6 +14122,30 @@ const struct flashchip flashchips[] = {
 
 	{
 		.vendor		= "Winbond",
+		.name		= "W29C512A/W29EE512",
+		.bustype	= BUS_PARALLEL,
+		.manufacture_id	= WINBOND_ID,
+		.model_id	= WINBOND_W29C512A,
+		.total_size	= 64,
+		.page_size	= 128,
+		.feature_bits	= FEATURE_LONG_RESET,
+		.tested		= TEST_OK_PREW,
+		.probe		= probe_jedec,
+		.probe_timing	= 10,		/* used datasheet for the W29EE512 */
+		.block_erasers	=
+		{
+			{
+				.eraseblocks = { {64 * 1024, 1} },
+				.block_erase = erase_chip_block_jedec,
+			}
+		},
+		.write		= write_jedec,
+		.read		= read_memmapped,
+		.voltage	= {4500, 5500},
+	},
+
+	{
+		.vendor		= "Winbond",
 		.name		= "W29C010(M)/W29C011A/W29EE011/W29EE012-old",
 		.bustype	= BUS_PARALLEL,
 		.manufacture_id	= WINBOND_ID,
-- 
1.8.4

